Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2814023004: [MD Bookmarks] Right click on bookmark items open context menu. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by calamity
Modified:
2 months, 3 weeks ago
Reviewers:
tsergeant
CC:
chromium-reviews, michaelpg+watch-md-ui_chromium.org, arv+watch_chromium.org, chrome-apps-syd-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[MD Bookmarks] Right click on bookmark items open context menu. This CL makes the context menu for bookmark items appear when an item is clicked. BUG=692837 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2814023004 Cr-Commit-Position: refs/heads/master@{#469281} Committed: https://chromium.googlesource.com/chromium/src/+/a32022824f01698ab161130a96c2832a8226bb46

Patch Set 1 #

Total comments: 4

Patch Set 2 : rebase #

Patch Set 3 : address_comments #

Total comments: 2

Patch Set 4 : fix_nit #

Unified diffs Side-by-side diffs Delta from patch set Stats (+54 lines, -3 lines) Patch
M chrome/browser/resources/md_bookmarks/item.js View 1 2 2 chunks +19 lines, -1 line 0 comments Download
M chrome/browser/resources/md_bookmarks/list.html View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/resources/md_bookmarks/list.js View 1 2 3 2 chunks +22 lines, -1 line 0 comments Download
M chrome/test/data/webui/md_bookmarks/item_test.js View 1 2 1 chunk +12 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   linux_android_rel_ng   win_clang   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   closure_compilation   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_chromium_asan_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_android_rel_ng   android_cronet   android_n5x_swarming_rel   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   android_n5x_swarming_rel   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   closure_compilation   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 27 (20 generated)
calamity
3 months, 2 weeks ago (2017-04-12 09:47:10 UTC) #3
tsergeant
Neat! https://codereview.chromium.org/2814023004/diff/1/chrome/browser/resources/md_bookmarks/item.js File chrome/browser/resources/md_bookmarks/item.js (right): https://codereview.chromium.org/2814023004/diff/1/chrome/browser/resources/md_bookmarks/item.js#newcode66 chrome/browser/resources/md_bookmarks/item.js:66: e.preventDefault(); Minor suggestion: you should select the item ...
3 months, 2 weeks ago (2017-04-13 01:15:47 UTC) #4
calamity
https://codereview.chromium.org/2814023004/diff/1/chrome/browser/resources/md_bookmarks/item.js File chrome/browser/resources/md_bookmarks/item.js (right): https://codereview.chromium.org/2814023004/diff/1/chrome/browser/resources/md_bookmarks/item.js#newcode66 chrome/browser/resources/md_bookmarks/item.js:66: e.preventDefault(); On 2017/04/13 01:15:47, tsergeant wrote: > Minor suggestion: ...
3 months, 2 weeks ago (2017-04-13 04:56:46 UTC) #8
tsergeant
lgtm https://codereview.chromium.org/2814023004/diff/60001/chrome/browser/resources/md_bookmarks/list.js File chrome/browser/resources/md_bookmarks/list.js (right): https://codereview.chromium.org/2814023004/diff/60001/chrome/browser/resources/md_bookmarks/list.js#newcode108 chrome/browser/resources/md_bookmarks/list.js:108: this.$.dropdown.close(); nit: call this.closeDropdownMenu_()
3 months, 2 weeks ago (2017-04-13 05:48:25 UTC) #9
calamity
https://codereview.chromium.org/2814023004/diff/60001/chrome/browser/resources/md_bookmarks/list.js File chrome/browser/resources/md_bookmarks/list.js (right): https://codereview.chromium.org/2814023004/diff/60001/chrome/browser/resources/md_bookmarks/list.js#newcode108 chrome/browser/resources/md_bookmarks/list.js:108: this.$.dropdown.close(); On 2017/04/13 05:48:25, tsergeant wrote: > nit: call ...
3 months, 1 week ago (2017-04-19 05:36:34 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2814023004/80001
2 months, 3 weeks ago (2017-05-04 05:55:14 UTC) #23
commit-bot: I haz the power
2 months, 3 weeks ago (2017-05-04 06:01:02 UTC) #27
Message was sent while issue was closed.
Committed patchset #4 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/a32022824f01698ab161130a96c2...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973